# PetscDLLibrarySym

Load a symbol from the dynamic link libraries.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscDLLibrarySym(MPI_Comm comm,PetscDLLibrary *inlist,const char path[],const char insymbol[],void **value)

Collective on MPI_Comm

### Input Parameter

| comm | - communicator that will open the library
| inlist | - list of already open libraries that may contain symbol (checks here before path)
| path | - optional complete library name
| insymbol | - name of symbol

### Output Parameter

value -

Notes: Symbol can be of the form [/path/libname[.so.1.0]:]functionname[()] where items in [] denote optional

Will attempt to (retrieve and) open the library if it is not yet been opened.

Level:developer
Location: src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages